//
//  ViewController.swift
//  Books
//
//  Created by Bart Jacobs on 21/01/2021.
//

import UIKit
import CoreData

final class BooksViewController: UIViewController {

    // MARK: - Properties
    
    @IBOutlet private var booksLabel: UILabel!
    
    // MARK: -
    
    private lazy var persistentContainer: NSPersistentContainer = {
        NSPersistentContainer(name: "Books")
    }()

    // MARK: - View Life Cycle
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        persistentContainer.loadPersistentStores { [weak self] persistentStoreDescription, error in
            if let error = error {
                print("Unable to Add Persistent Store")
                print("\(error), \(error.localizedDescription)")
                
            } else {
                self?.fetchBooks()
            }
        }
    }
    
    // MARK: - Helper Methods

    private func fetchBooks() {
        print(persistentContainer.viewContext)
    }

}
